import { Component, OnInit, ViewChild, TemplateRef, ViewContainerRef, Input, SimpleChanges, Output, EventEmitter, ViewEncapsulation } from '@angular/core';
import { VisAsstResponseComponent } from '../vis_asst_response/vis_asst_response.component'
import { VisAsstResponseConstructorOptions } from "../VisAsstResponseConstructorOptions"
import { VisAsstResponseUpdateOptions } from "../VisAsstResponseUpdateOptions";
//import { FlexmonsterPivot } from "../../datagrid/flexmonster/flexmonster.angular4";

@Component({
    selector: 'vis_asst_response_card',
    templateUrl: './vis_asst_response_card.component.html',
    styleUrls: ['./vis_asst_response_card.component.css']
  })

export class VisAsstResponseCard extends VisAsstResponseComponent implements OnInit {
   
    @Input() context: any;
        
    override ngOnInit()
    {
      super.ngOnInit()
    }


    override ngAfterViewInit()
    {
        
    }

    showMessage( updateOptions) : any
    {
        console.log('Print card updateOptions 30:::::',updateOptions);
        this.context = updateOptions['context'];
        console.log('Print card context 32:::::',updateOptions);
    }

  ngOnChanges(change: SimpleChanges){}


}